# PetscObjectExists

Determines whether a PETSc object has been destroyed.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscObjectExists(PetscObject obj,PetscTruth *exists)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetCookie((PetscObject)mat,&exists);

### Output Parameter

exists -PETSC_FALSE if object does not exist; PETSC_TRUE if object does exist.

Level:developer
Location: src/sys/objects/gcookie.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages